package com.brilliance.isc.doc.handle.impl;

import com.brilliance.isc.bo.lg.GitopnStoreBo;
import com.brilliance.isc.common.doc.TextResultVo;
import com.brilliance.isc.common.trndoc.vo.DoceotVo;
import com.brilliance.isc.doc.annotation.DocFunc;
import com.brilliance.isc.doc.constant.DocConstant;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

@Component("settle.docset")
public class SettleDocSet extends AbstractTransactionDocSet {
    @PostConstruct
    public void buildMember(){
        buildLetterProvider("settle",
                /**
                 * Payment message as letter
                 */
                //DocConstant.DOCNAM_SETSUM1,
                /**
                 * Payment message as letter
                 */
                DocConstant.DOCNAM_SETSUM3
        );
        //扫描Cortype支持，必须要执行
        scanDocCortypSupport();
    }


    @DocFunc(name=DocConstant.DOCNAM_SETSUM1,cortyp = DocConstant.COR_TYP_SWT)
    public TextResultVo buildSum1(GitopnStoreBo gitopnStoreBo, DoceotVo doceotVo){
        TextResultVo textResultVo = new TextResultVo();
        textResultVo.setData("hello,demo");
        textResultVo.setFormat("text");
        return textResultVo;
    }

    @DocFunc(name=DocConstant.DOCNAM_SETSUM3,cortyp = DocConstant.COR_TYP_SWT)
    public TextResultVo buildSum3(GitopnStoreBo gitopnStoreBo, DoceotVo doceotVo){
        TextResultVo textResultVo = new TextResultVo();
        textResultVo.setData("hello,demo");
        textResultVo.setFormat("text");
        return textResultVo;
    }
}
